{ user, pkgs, ... }: {
  home.packages = with pkgs; [ fd ];
  programs.zsh = {
    enable = true;
    autocd = false;
    enableAutosuggestions = true;
    enableCompletion = true;
    syntaxHighlighting.enable = true;
    shellAliases = {
      nrebuild = "sudo nixos-rebuild switch --flake /home/${user}/nixos";
    };
    initExtra = ''
      bindkey -v
      bindkey '^R' history-incremental-search-backward

      # Prompt stuff
      autoload -Uz promptinit
      promptinit
      prompt pure
    '';
    zplug = {
      enable = true;
      plugins = [
        ({ name = "plugins/git"; tags = [ "from:oh-my-zsh" ]; })
        ({ name = "modules/prompt"; tags = [ "from:prezto" ]; })
      ];
    };
  };
}
